%define name pdftk
%define version 2.02
%define release %mkrel 2


Summary: 	Pdftk stand for Pdf Tool Kit
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.xz
Patch0:		pdftk-include-dir.patch
License: 	GPL
Group: 		Publishing
Url: 		http://www.accesspdf.com/pdftk/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	%{_lib}gcj-devel
BuildRequires:	fastjar
BuildRequires:	gcc-java
Requires: glibc >= 2.20


%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:
- Merge PDF Documents
- Split PDF Pages into a New Document
- Decrypt Input as Necessary (Password Required)
- Encrypt Output as Desired
- Fill PDF Forms with FDF Data and/or Flatten Forms
- Apply a Background Watermark
- Report on PDF Metrics, including Metadata and Bookmarks
- Update PDF Metadata
- Attach Files to PDF Pages or the PDF Document
- Unpack PDF Attachments
- Burst a PDF Document into Single Pages
- Uncompress and Re-Compress Page Streams
- Repair Corrupted PDF (Where Possible)

%prep
%setup -q
%patch0 -p0

%build
pushd pdftk
	GCJFLAGS="%{optflags} -I`pwd`/../java -Wno-all" make -f Makefile.Redhat
popd


%install
rm -rf $RPM_BUILD_ROOT
install -Dpm0755 pdftk/pdftk %{buildroot}%{_bindir}/pdftk
install -Dpm0644 pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc pdftk.1.html pdftk.1.txt changelog.txt changelog.html
%{_mandir}/man1/pdftk.1*
%{_bindir}/pdftk


%changelog
* Sat Jan 31 2015 ghostbunny <ghostbunny at gmx dot de> 2.02-2pclos2015
- rebuild against new tool chain
- fix patch against new tool chain

* Mon Sep 22 2014 ghostbunny <ghostbunny at gmx dot de> 2.02-1pclos2014
- 2.02
- build from source

* Sun Oct 16 2011 Texstar <texstar at gmail.com> 1.44-2pclos2011
- update

* Thu Mar 31 2011 Texstar <texstar at gmail.com> 1.44-1pclos2011
- 1.44

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 1.41-3pclos2010
- try to provide working binary

* Fri Mar 30 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 1.41-2pclos2007
- Rebuild for pclos2007


